Skip to main content

Updates an existing SegmentationRule in a service group

PUT 

/qsystem/rest/config/operationProfiles/:operationProfileId/serviceGroups/:serviceGroupId/segmentationRules/:segmentationRuleId

Updates an existing SegmentationRule in a service group.

curl -u user:password -i -X PUT -H 'content-type:application/json'
-d '{"id": 300,"name": "Appointment S3","ruleConditions": [
{"id": 300, "ruleConditionTemplateId": 8,"values": "{}"}],
"queue": {"name": "Appointment S3 Queue","queueLetters": "F","start": 1,"end": 500,"serviceLevel": 25,"type": "APPOINTMENT_QUEUE"}}'
http://orchestra-host:orchestra-port/qsystem/rest/config/operationProfiles/{operationProfileId}/serviceGroups/{serviceGroupId}/segmentationRules/{segmentationRuleId}/

Queue letter field is mandatory, but the empty queue letter is allowed which will remove the letter from the queue. Queue start and end fields are mandatory. The use of queue id in payload is silently ignored.

Request​

Responses​

A SegmentationRule